package com.steerinfo.ems.emsscqklg.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Shadow
 * @create 2021-10-27 21:56
 * @project xt-ems-datasource
 */
@ApiModel(value="炼钢实时数据")
public class LgReal {

        /**
         * 点位id(DATES,TIMESTAMP,7)
         */
        @ApiModelProperty(value="点位id",required=true)
        private String altId;
        /**
         * 点位值(DATES,TIMESTAMP,7)
         */
        @ApiModelProperty(value="点位值",required=true)
        private String eng;

        private static final long serialVersionUID = 1L;

        public String getAltId() {
                return altId;
        }

        public void setAltId(String altId) {
                this.altId = altId;
        }

        public String getEng() {
                return eng.trim();
        }

        public void setEng(String eng) {
                this.eng = eng;
        }
        @Override
        public String toString() {
                StringBuilder sb = new StringBuilder();
                sb.append(getClass().getSimpleName());
                sb.append(" [");
                sb.append("Hash = ").append(hashCode());
                sb.append(", altid=").append(altId);
                sb.append(", eng=").append(eng);
                sb.append(", serialVersionUID=").append(serialVersionUID);
                sb.append("]");
                return sb.toString();
        }
}
